- Qt 6.11
- Qt XML
- C++ Classes
- ParseResult
- Qt 6.11.2 Reference Documentation

# QDomDocument::ParseResult Struct

struct QDomDocument::ParseResult

The struct is used to store the result of QDomDocument::setContent(). More...

This struct was introduced in Qt 6.5.

- List of all members, including inherited members
- ParseResult is part of XML Classes.

## Public Functions

| operator bool() const

## Public Variables

qsizetype | errorColumn
qsizetype | errorLine
QString | errorMessage

## Detailed Description

The QDomDocument::ParseResult struct is used for storing the result of QDomDocument::setContent(). If an error is found while parsing an XML document, the message, line and column number of an error are stored in `ParseResult`.

See also QDomDocument::setContent().

## Member Function Documentation

### `[explicit noexcept]` ParseResult::operator bool() const

Returns `false` if any error is found by QDomDocument::setContent(); otherwise returns `true`.

See also QDomDocument::setContent().

## Member Variable Documentation

### qsizetype ParseResult::errorColumn

The field contains the column number of an error found by QDomDocument::setContent() while parsing an XML document.

See also QDomDocument::setContent().

### qsizetype ParseResult::errorLine

The field contains the line number of an error found by QDomDocument::setContent() while parsing an XML document.

See also QDomDocument::setContent().

### QString ParseResult::errorMessage

The field contains the text message of an error found by QDomDocument::setContent() while parsing an XML document.

See also QDomDocument::setContent().